### Method

# GObject Object notify

#### Declaration

    void
    g_object_notify (
      GObject* object,
      const gchar* property_name
    )

#### Description

Emits a “notify” signal for the property `property_name` on `object`.

When possible, eg. when signaling a property change from within the class that registered the property, you should use `g_object_notify_by_pspec()` instead.

Note that emission of the notify signal may be blocked with g_object_freeze_notify(). In this case, the signal emissions are queued and will be emitted (in reverse order) when `g_object_thaw_notify()` is called.

#### Parameters

`property_name`

  Type: `const gchar*`

  The name of a property installed on the class of `object`.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.